import { IList } from "./IList.ts";
import { SVGWidget } from "./SVGWidget.ts";
import "../src/List.css";
export declare class List extends SVGWidget implements IList {
    protected _listWidgets: any;
    constructor();
    update(domNode: any, element: any): void;
    exit(domNode: any, element: any): void;
    click(d: any): void;
    dblclick(d: any): void;
}
export interface List {
    anchor(): "" | "start" | "middle" | "end";
    anchor(_: "" | "start" | "middle" | "end"): this;
}
